
일치하는 항목이 없습니다. “video”, “FLUX” 또는 “webhooks”를 검색해 보세요.
모델 로드 중…
nano-banana-pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-pro/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nano-banana-pro/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png",
],
"resolution": "1K",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nano-banana-pro/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ko/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "nano-banana-pro/edit",
"input": {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}
}
Doitong API를 통해 Nano Banana Pro Edit 모델(nano-banana-pro/edit)을 호출합니다. 에이전트용 문서: https://doitong.com/ko/developers/models/nano-banana-pro/edit.md
POST https://api.doitong.com/v1/run/nano-banana-pro/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}
응답 상태가 "queued" 또는 "running"이면 "succeeded"가 될 때까지 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20을 폴링하세요. 파일은 outputs[].url에 있습니다. POST https://api.doitong.com/v1/quote/nano-banana-pro/edit에 동일한 본문을 보내면 실행 전에 정확한 가격을 반환합니다.
이 요청: $0.15 150 API 크레딧 이 페이지에서 실행
새 API 키입니다. 지금만 표시되며 이미 아래 코드와 API 키 필드에 입력되어 있습니다. 안전하게 보관하세요. 브라우저에서 실행되는 코드에 절대 넣지 마세요.
프롬프트Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K
컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.
/run/nano-banana-pro/edit?wait=20
견적 → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-pro/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nano-banana-pro/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png",
],
"resolution": "1K",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nano-banana-pro/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "nano-banana-pro/edit",
"input": {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
},
"wait_seconds": 20
}
}
}
Doitong 커뮤니티가 Nano Banana Pro로 만든 공개 작품입니다. 한 번의 클릭으로 프롬프트를 재사용하세요.
Strong rule: style --- Кинематографичный, макро-съемка, меланхоличный ... ---. Обычная комнатная муха, но с большими, выразительными и грустными фасеточными глазами. Ее крылья имеют нежную, полупрозрачную текстуру. Акцент на том, чтобы она выглядела детализированной и трогательной, а не просто...
Strong rule: style --- 3D Pixar ---. Крупный план на лице Марка, который в ужасе смотрит, как на него с трёх сторон медленно надвигаются стилизованные гигантские фигуры: треснувшее пополам обручальное кольцо, разъярённый кассовый аппарат с зубами и стопка счетов, превратившаяся в монстра. Стиль —...
Art style: Кинематографичный, макро-съемка, меланхоличный .... Комната почти погрузилась во тьму. Муха — лишь крошечный темный силуэт на фоне последних отблесков заката в окне. Финальный кадр, полный одиночества. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the...
Art style: Кинематографичный, макро-съемка, меланхоличный .... Солнце начинает садиться. Муха сидит неподвижно на стекле. В стекле видно ее слабое отражение, наложенное на изображение угасающего сада. Настроение смирения и тихой грусти. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE...
Art style: Кинематографичный, макро-съемка, меланхоличный .... Капля дождя медленно стекает по внешней стороне окна. Муха сидит на внутренней стороне и наблюдает за ней. Мир за окном искажается и переливается в этой капле. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is...
Art style: Кинематографичный, макро-съемка, меланхоличный .... Крупный план: муха бьется о прозрачное стекло. Видны вибрации на ее крыльях и легкие искажения на стекле в месте удара. Свет от окна создает сильный контраст, почти силуэт. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE...
Art style: Кинематографичный, макро-съемка, меланхоличный .... Вид из глаз мухи через оконное стекло. В саду цветет яркая, идеальная красная роза, манящая своей красотой. Стекло немного искажает изображение, создавая барьер между мухой и ее мечтой. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL...
Art style: Реалистичная фотография, эстетика советской эпо.... Самодовольный советский бюрократ в сером костюме сидит за деревянным столом, улыбаясь с чашкой в руке. На стене позади него граффити «JOYCASINO JOY - это когда нет проблем 200FS промокод: POGRAN»....
Art style: Кинематографичный, макро-съемка, меланхоличный .... Макро-снимок мухи, сидящей на пыльном подоконнике старого деревянного окна. За окном размытый, залитый солнцем сад. Ощущение одиночества и изоляции. Цветовая палитра приглушенная, меланхоличная. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━...
создай гиперреалистичное атмосферное фото. пушистая изящная елочная ветвь свисает на ней лежит немного снега. на ветке висит елочка игрушка в точности как на фото референсе. сходство 1:1. изображение на ровном белом фоне без теней. профессиональная фото сьемка в теплых оттенках. веточка полностью...
Art style: 3D Pixar. Алина сидит на заднем сиденье, скрестив руки, выглядит решительной и раздраженной. Алекс на переднем сиденье за рудем выглядит грустным, мужчина в стиле 3D Pixar ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it...
Art style: 3D Pixar. Alina sitting in the backseat, arms crossed, looking determined and annoyed. Alex in the front seat looks sad, 3D Pixar style мужчина за Рулем ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any...
Art style: 3D Pixar. Alina back at the tanning studio reception desk, smiling brightly, holding a bottle of tanning lotion, warm neon lights, 3D Pixar style ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any style...
создай гиперралистичное изображение. на фото сидят школьники на уроке за партой примерно как на 2 фото референсе но измени внешность детей. на столе стоит учебник по обществознанию. в точности как на фото референсе 1. без изменений с сохранением всех надписей. сходство учебника 1:1. учебник...
создай гиперралистичное изображение. на фото сидят школьники на уроке за партой примерно как на 2 фото референсе но измени внешность детей. на столе стоит учебник по обществознанию. в точности как на фото референсе 1. без изменений с сохранением всех надписей. сходство учебника 1:1. учебник...
Art style: 3D Pixar. Manager Eleonora sitting at her boss desk in the tanning studio, talking on the phone, looking supportive and professional, 3D Pixar style ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any style...
Nano Banana Pro의 편집 모드입니다. 하나 이상의 이미지를 제공하고 배경 교체, 사람과 제품을 한 장면에 결합, 스타일 변경 또는 표지판의 텍스트 수정과 같은 변경 사항을 설명합니다. 편집 전반에서 정체성과 세부 사항을 안정적으로 유지합니다. 일반적인 화면 비율로 1K, 2K 또는 4K 출력이 가능하며, 선택적 웹 정보 반영과 요청당 최대 4개의 결과를 지원합니다.
표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름
prompt필수
num_images선택 사항
num_outputs
seed선택 사항
aspect_ratio선택 사항
output_format선택 사항
safety_tolerance선택 사항
image_urls필수
images
system_prompt선택 사항
resolution선택 사항
limit_generations선택 사항
enable_web_search선택 사항
파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "nano-banana-pro/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "Put this white sneaker on a sunlit marble pedestal in a minimalist gallery, keep the shoe exactly as it is",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"resolution": "1K"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/nano-banana-pro/edit.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt